=== debian/changelog ===
vim (2:7.4.1829-1) unstable; urgency=medium

  * Merge upstream tag v7.4.1829
    + 7.4.1713: Force use of X11 backend under Wayland.  (Closes: #819954)
    + 7.4.1802: Improve handling of long lines in quickfix lists.  (Closes:
      #815976)
    + LogiPat plugin's :ELP command renamed to :LPE, so it doesn't shadow :E.
      (Closes: #796075)

 -- James McCoy <jamessan@debian.org>  Mon, 09 May 2016 23:06:14 -0400
