## vim 8.0.0003

=== debian/changelog ===
vim (2:8.0.0003-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Tue, 20 Sep 2016 16:08:43 -0400

vim (2:8.0.0003-1) unstable; urgency=medium

  [ upstream ]
  * Vim 8 released!
  * v8.0.0003: Fix test failures on big-endian architectures.

 -- James McCoy <jamessan@debian.org>  Mon, 12 Sep 2016 21:54:12 -0400

vim (2:7.4.2347-1) unstable; urgency=medium

  [ upstream ]
  * Fix test failure due to relying on modelines.  (Closes: #837130)

  [ James McCoy ]
  * Move xxd into its own package.  This allows other packages to express a
    relationship on xxd itself, rather than vim-common, and also enables
    turning vim-common into an Arch: all package.
  * Remove dpkg-dev Build-Depends, since the version is satisifed prior to
    oldstable.

 -- James McCoy <jamessan@debian.org>  Sat, 10 Sep 2016 23:35:08 -0400

vim (2:7.4.2330-1) unstable; urgency=medium

  [ upstream ]
  * Highlighted changes:
    + 7.4.1976: Support 64-bit number variables in VimL.  Use has('num64') to
      test for presence of the functionality.  (Closes: #788055)
    + runtime/ftplugin/man.vim:
      - Use the width of the current window when formatting a man page.
        (Closes: #827634)
    + runtime/syntax/rst.vim:
      - Use underline for emphasized text.  (Closes: #547537)
    + runtime/tutor/tutor.es:
      - Fix misspelling of seguido.  (Closes: #834336)

  [ James McCoy ]
  * Switch from Python2 to Python3 language bindings.  All packaged
    addons which use Python support both 2 & 3.  (Closes: #729924)
  * Add mips64el as a recognized architecture in debcontrol files.  Thanks to
    Reiner Herrmann for the patch.  (Closes: #830545)
  * Update supported Ubuntu releases in debsources files.
  * Remove vim-gnome (which uses deprecated gnome2 libraries) in favor of
    vim-gtk3.  (Closes: #820239)
  * Run tests during build targets to avoid test failures related to running
    as (fake)root.

 -- James McCoy <jamessan@debian.org>  Wed, 07 Sep 2016 22:12:11 -0400
