=== debian/rules ===
--- 
+++ 
@@ -87,13 +87,6 @@
 GTK3FLAGS+=--disable-athena-check
 GTK3FLAGS+=--disable-fontset
 
-GNOMEFLAGS:=--enable-gui=gnome2
-GNOMEFLAGS+=--disable-gtk2-check
-GNOMEFLAGS+=--enable-gnome-check
-GNOMEFLAGS+=--disable-motif-check
-GNOMEFLAGS+=--disable-athena-check
-GNOMEFLAGS+=--disable-fontset
-
 ATHENAFLAGS:=--enable-gui=athena
 ATHENAFLAGS+=--disable-gtk2-check
 ATHENAFLAGS+=--disable-gtk3-check
@@ -106,7 +99,7 @@
 NOINTERPFLAGS+=--disable-mzschemeinterp
 NOINTERPFLAGS+=--disable-perlinterp
 ifeq ($(DEB_VENDOR),Ubuntu)
-	NOINTERPFLAGS+=--enable-pythoninterp --with-python-config-dir=$(shell python-config --configdir)
+	NOINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
 else
 	NOINTERPFLAGS+=--disable-pythoninterp
 endif
@@ -117,8 +110,8 @@
 ALLINTERPFLAGS:=--enable-luainterp
 ALLINTERPFLAGS+=--disable-mzschemeinterp
 ALLINTERPFLAGS+=--enable-perlinterp
-ALLINTERPFLAGS+=--enable-pythoninterp --with-python-config-dir=$(shell python-config --configdir)
-ALLINTERPFLAGS+=--disable-python3interp
+ALLINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
+ALLINTERPFLAGS+=--disable-pythoninterp
 ALLINTERPFLAGS+=--enable-rubyinterp
 ALLINTERPFLAGS+=--enable-tclinterp
 ALLINTERPFLAGS+=--with-tclsh=/usr/bin/tclsh
@@ -133,7 +126,6 @@
 VARIANTS+=vim-tiny
 VARIANTS+=vim-gtk
 VARIANTS+=vim-gtk3
-VARIANTS+=vim-gnome
 VARIANTS+=vim-athena
 VARIANTS+=vim-nox
 VARIANTS+=vim-basic
@@ -153,9 +145,6 @@
 
 CFLAGS_vim-gtk3:=$(CFLAGS)
 CFGFLAGS_vim-gtk3:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GTK3FLAGS) $(ALLINTERPFLAGS)
-
-CFLAGS_vim-gnome:=$(CFLAGS)
-CFGFLAGS_vim-gnome:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GNOMEFLAGS) $(ALLINTERPFLAGS)
 
 CFLAGS_vim-athena:=$(CFLAGS)
 CFGFLAGS_vim-athena:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(ATHENAFLAGS) $(ALLINTERPFLAGS)
@@ -239,8 +228,15 @@
 	touch $@
 
 build-arch: build-stamp-arch
-build-stamp-arch: $(foreach v,$(VARIANTS),build-stamp-$(v))
-	dh_testdir
+build-stamp-arch: build-stamp-xxd $(foreach v,$(VARIANTS),build-stamp-$(v))
+	dh_testdir
+	touch $@
+
+build-stamp-xxd: export DH_OPTIONS=-pxxd
+build-stamp-xxd: build-stamp-vim-basic
+	dh_testdir
+	dh_prep
+	$(MAKE) -C src/vim-basic xxd/xxd
 	touch $@
 
 autoconf-stamp:
@@ -259,3 +255,7 @@
 # As of 7.3.122, src/auto/config.mk is generated by copying src/config.mk.dist
 # but src/Makefile depends on its existence and will automatically run
 # configure if it doesn't.  So, to not break parallel building (multiple
+# top-level configure instances running at once explode, as mentioned in
+# autoconf-stamp target), we need to ensure src/auto/config.mk exists before
+# running configure.
+src/auto/config.mk:
