## vim 8.0.0095

=== debian/changelog ===
vim (2:8.0.0095-1ubuntu3) zesty; urgency=medium

  * debian/patches/ubuntu-mouse-off.patch: Revert enabling mouse mode by
    default in defaults.vim, breaks in chroots/containers (LP: #1661691)
  * debian/rules: Fix merge error that regressed python3 support in vim.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Mar 2017 06:13:35 -0600

vim (2:8.0.0095-1ubuntu2) zesty; urgency=medium

  * ubuntu-series-support.patch: Drop vivid and wily from supported list.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 06 Dec 2016 03:03:48 -0700

vim (2:8.0.0095-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable (LP: #1647105).  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/rules: explicitly set TERM to xterm for testsuite to avoid
    failures.
  * Drop python2 variants.

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 03 Dec 2016 17:50:49 -0500

vim (2:8.0.0095-1) unstable; urgency=high

  * Merge upstream tag v8.0.0095
    + 8.0.0056: Only allow valid characters in 'filetype', 'syntax' and
      'keymap'.  (CVE-2016-1248)
    + 8.0.0089: Fix problems with Gtk 3.22.2. This replaces the proposed
      patches applied earlier.  (#842070)

 -- James McCoy <jamessan@debian.org>  Tue, 22 Nov 2016 13:23:07 -0500

vim (2:8.0.0049-1) unstable; urgency=medium

  * Merge upstream tag v8.0.0049
    + 8.0.0038: Define OPEN_CHR_FILES for kFreeBSD to fix Test_read_fifo_utf8
      test failure.  (Part of #827319)
  * Disable Perl bindings for kfreebsd-* until #827319 is resolved since the
    FTBFS was blocking bootstrapping of kfreebsd systems.
  * Add Zesty Zapus to deb{changelog,sources} syntax files
  * Cherry-pick two proposed patches to fix vim-gtk3's widget sizing, while
    upstream Vim and Gtk figure out what the right fix is.  (Related to
    #842070)

 -- James McCoy <jamessan@debian.org>  Sat, 12 Nov 2016 13:17:06 -0500

vim (2:8.0.0022-1) unstable; urgency=medium

  * syntax/debsources: Recognize https URLs.  Thanks to Joe Stein for the
    patch!
  * Add information about defaults.vim to NEWS.Debian and /etc/vim/vimrc.
    (Closes: #837761)
  * Update vim-tiny patch to not source defaults.vim when vim.tiny is invoked
    as vi.
  * Bump priority of vim-tiny's vi alternative, so it's higher than e3vi.
    (Closes: #839265)

 -- James McCoy <jamessan@debian.org>  Tue, 04 Oct 2016 23:34:23 -0400

vim (2:7.4.1829-1ubuntu4) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:40:33 +0100

vim (2:7.4.1829-1ubuntu3) zesty; urgency=medium

  * debian/patches/ubuntu-releases.patch: Drop wily support, add zesty.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 19 Oct 2016 11:28:28 -0600

vim (2:7.4.1829-1ubuntu2) yakkety; urgency=medium

  * Explicitly set TERM to xterm for testsuite to avoid failures.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Jun 2016 01:39:04 -0600

vim (2:7.4.1829-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/debian/ubuntu-releases.patch:
      + Properly drop vivid to unsupported.
    - debian/rules: Stop ignoring failures from flaky test86.
    - Build using Python3.
    - Build python2 variants for gtk, gtk3, gnome, athena, nox.
  * debian/rules: Specify python3 setup correctly (LP: #1574897)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Jun 2016 02:28:16 -0600

vim (2:7.4.1689-3ubuntu2) yakkety; urgency=medium

  * debian/patches/ubuntu-releases.patch: Add yakkety support, plus fixups.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 22 Apr 2016 01:27:24 -0600
