=== debian/rules ===
--- 
+++ 
@@ -100,16 +100,24 @@
 NOINTERPFLAGS+=--disable-perlinterp
 ifeq ($(DEB_VENDOR),Ubuntu)
 	NOINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
-else
 	NOINTERPFLAGS+=--disable-pythoninterp
-endif
-NOINTERPFLAGS+=--disable-python3interp
+else
+	NOINTERPFLAGS+=--disable-pythoninterp
+	NOINTERPFLAGS+=--disable-python3interp
+endif
 NOINTERPFLAGS+=--disable-rubyinterp
 NOINTERPFLAGS+=--disable-tclinterp
 
 ALLINTERPFLAGS:=--enable-luainterp
 ALLINTERPFLAGS+=--disable-mzschemeinterp
-ALLINTERPFLAGS+=--enable-perlinterp
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+  # Until #827319 is resolved
+  ALLINTERPFLAGS+=--disable-perlinterp
+  PERL_SUBSTVAR=
+else
+  ALLINTERPFLAGS+=--enable-perlinterp
+  PERL_SUBSTVAR=-Vvim:Perl-Provides=vim-perl
+endif
 ALLINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
 ALLINTERPFLAGS+=--disable-pythoninterp
 ALLINTERPFLAGS+=--enable-rubyinterp
@@ -254,8 +262,3 @@
 
 # As of 7.3.122, src/auto/config.mk is generated by copying src/config.mk.dist
 # but src/Makefile depends on its existence and will automatically run
-# configure if it doesn't.  So, to not break parallel building (multiple
-# top-level configure instances running at once explode, as mentioned in
-# autoconf-stamp target), we need to ensure src/auto/config.mk exists before
-# running configure.
-src/auto/config.mk:
